Tag: pip

Как установить пакет с Bitbucket с помощью pip?

Я делаю setup.py, который должен указывать на мой репозиторий. с github я могу это сделать: dependency_links=['https://github.com/nathanborror/django-registration/tarball/master#egg=django-registration'] как я могу сделать то же самое с проектом bitbucket? например, этот URL: https://bitbucket.org/abraneo/django-registration Благодарю.

Как настроить __main__.py, __init__.py и __setup__.py для базовой установки пакета?

Задний план: У меня есть структура каталогов: Package/ setup.py src/ __init__.py __main__.py code.py Я хочу иметь возможность запускать код по-разному. pip install Package а затем python а затем from Package import * python -m Package который должен делать вещь в __main__.py python __main__.py который также должен делать что-то в __main__.py но на этот раз мы […]

Установить pywin32 с помощью pip в Windows 7 не работает в python 3.4.2

Hy @ всех, Я попытался установить pywin32 через pip (1.5.6) с python 3.4.2 под Windows 7, но у меня всегда появилось сообщение об ошибке: Could not find any downloads that satisfy the requirement pywin32 Some externally hosted files were ignored (use –allow-external pywin32 to all ow). Cleaning up… No distributions at all found for pywin32 […]

Как «установить пакет» пакет с зависимостями, отличными от Python?

Многие пакеты python имеют зависимости сборки от пакетов, отличных от Python. Я специально думаю о lxml и cffi, но эта дилемма применяется к множеству пакетов на PyPI. Оба этих пакета имеют ненастроенные зависимости сборки для пакетов, отличных от Python, таких как libxml2-dev, libxslt-dev, zlib1g-dev и libffi-dev. Сайты для lxml и cffi объявляют некоторые из этих […]

Что такое флаг -H для pip?

При использовании sudo pip install … с параметром pip версии 6.0.4 или выше я получаю некоторые предупреждения, такие как: Каталог '/home/drevicko/.cache/pip/log' или его родительский каталог не принадлежит текущему пользователю, и журнал отладки отключен. Проверьте разрешения и владельца этого каталога. Если вы используете pud с sudo, вам может понадобиться флаг -H. Это предупреждение, как представляется, было […]

Ошибка при установке gnureadline через pip

Я нарушил настройку IPython, пытаясь перейти на IPython 2.0. Установка завершается с ошибкой при установке gnureadline . У меня изначально была эта проблема, но я ее исправил. Теперь я получаю эту ошибку: cc -bundle -undefined dynamic_lookup -arch x86_64 -arch i386 -Wl,-F. -Qunused-arguments -Qunused-arguments build/temp.macosx-10.9-intel-2.7/Modules/2.x/readline.o readline/libreadline.a readline/libhistory.a -lncurses -o build/lib.macosx-10.9-intel-2.7/gnureadline.so clang: error: no such file or […]

Установите пакет и напишите в файл требований.txt с пипсом

Я ищу способ установить пакет с помощью pip и записать информацию о версии этого пакета в файл требований .txt моего проекта. Для тех, кто знаком с npm , это, по сути, то, что делает npm install –save . Использование pip freeze > requirements.txt отлично работает, но я обнаружил, что забыл запустить это или случайно включил […]

Как узнать версию самого пипса

Какая команда оболочки дает мне фактическую версию pip которую я использую? pip дает с pip show всю версию модулей, которые установлены, но исключает себя.

Есть ли способ показать деревья зависимостей для пакетов pip?

У меня есть проект с несколькими зависимостями пакета, основные требования перечислены в requirements.txt . requirements.txt . Когда я вызываю pip freeze он печатает установленные пакеты в виде обычного списка. Я бы предпочел также получить их зависимости, что-то вроде этого: Flask==0.9 Jinja2==2.7 Werkzeug==0.8.3 Jinja2==2.7 Werkzeug==0.8.3 Flask-Admin==1.0.6 Flask==0.9 Jinja2==2.7 Werkzeug==0.8.3 Цель состоит в том, чтобы определить зависимости […]

Обновление апгрейда в Amazon Linux

Я хотел развернуть мое приложение Python на Amazon Linux AMI 2015.09.1, которое имеет Python2.7 (по умолчанию) и pip (6.1.1). Затем я обновил пип с помощью команды: sudo pip install -U pip Тем не менее, он был сломан и показал сообщение, когда я пытался установить пакеты: pkg_resources.DistributionNotFound: pip==6.1.1 Я узнал, что pip удаляет предыдущие файлы, расположенные […]

Python - лучший язык программирования в мире.